#ifndef COMPLEX_IS_ALREADY_INCLUDED
	#define COMPLEX_IS_ALREADY_INCLUDED

	class Complex
	{
		private:
			double m_real;
			double m_imag;

		public:
			// Constructor
			Complex();
			Complex(double re, double im);

			// Conversion Constructor
			Complex(double whatShallWeDoWithTheDrunkenSailor);

			// Set- und Get-Methoden
			void setReal(double real) {m_real = real;}
			void setImag(double imag) {m_imag = imag;}
			double getReal() {return m_real;}
			double getImag() {return m_imag;}

			// friend arithmetic operators
			friend Complex operator + (const Complex &c1, const Complex &c2);
			friend Complex operator - (const Complex &c1, const Complex &c2);
			friend Complex operator * (const Complex &c1, const Complex &c2);
			friend Complex operator / (const Complex &c1, const Complex &c2);

			// friend comparison operators
			friend bool operator == (const Complex &c1, const Complex &c2);
			friend bool operator != (const Complex &c1, const Complex &c2);

			// complex conjunction operator
			Complex operator ! ();

			// i/o operators
			friend ostream & operator << (ostream &os, Complex &c);
			friend ostream & operator >> (istream &is, Complex &c);
	};

#endif